Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockEventResponse

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletResponse
          org.springframework.mock.web.portlet.MockStateAwareResponse
              org.springframework.mock.web.portlet.MockEventResponse

All Implemented Interfaces:
  javax.portlet.EventResponse, javax.portlet.PortletResponse, javax.portlet.StateAwareResponse

    public class MockEventResponse

extends MockStateAwareResponse
implements javax.portlet.EventResponse

Mock implementation of the `EventResponse` interface.

Since:
  3.0
Author:
  Juergen Hoeller

Constructor Summary
`MockEventResponse()`

Method Summary
`void` | `setRenderParameters(javax.portlet.EventRequest request)`

Methods inherited from class org.springframework.mock.web.portlet.MockStateAwareResponse
`getEvent, getEvent, getEventNames, getPortletMode, getRenderParameter, getRenderParameterMap, getRenderParameterNames, getRenderParameterValues, getWindowState, removePublicRenderParameter, setEvent, setEvent, setPortletMode, setRenderParameter, setRenderParameter, setRenderParameters, setWindowState`

Methods inherited from class org.springframework.mock.web.portlet.MockPortletResponse
`addProperty, addProperty, addProperty, createElement, encodeURL, getCookie, getCookies, getNamespace, getPortalContext, getProperties, getProperty, getPropertyNames, getXmlProperties, getXmlProperty, getXmlPropertyNames, setNamespace, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.StateAwareResponse
`getPortletMode, getRenderParameterMap, getWindowState, removePublicRenderParameter, setEvent, setEvent, setPortletMode, setRenderParameter, setRenderParameter, setRenderParameters, setWindowState`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, setProperty`

Constructor Detail

### MockEventResponse

    public MockEventResponse()

Method Detail

### setRenderParameters

    public void setRenderParameters(javax.portlet.EventRequest request)

  Specified by:
    `setRenderParameters` in interface `javax.portlet.EventResponse`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD